%define		pdir	Audio
%define		pnam	CD
Summary:	Perl interface to libcdaudio
Summary(pl.UTF-8):	Interfejs Perla do libcdaudio
Name:		perl-Audio-CD
Version:	0.04
Release:	19
Epoch:		1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# newer version distribution is restricted
#Source0:	http://homepages.cwi.nl/~jvhemert/files/Audio-CD-0.05.tar.gz
# Source0-md5:	5b3051fd01a36c557a54e83ac0bde567
URL:		http://search.cpan.org/dist/Audio-CD/
BuildRequires:	libcdaudio-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl interface to libcdaudio.

%description -l pl.UTF-8
Interfejs Perla do libcdaudio.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Audio/CD.pm
%dir %{perl_vendorarch}/auto/Audio/CD
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/CD/CD.so

%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-CD.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 267dae1
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5ef389d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> de3bf87
- rebuild with perl 5.30.0
- release 18 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> f76fe7e
- rebuild with perl 5.28.0
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4c20bb3
- perl req/prov fix
- release 16 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 732c641
- rebuild with perl 5.26
- release 15 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8014dd8
- rebuild with perl 5.24.0
- release 14 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d061c4e
- release 13 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 40ee5cf
- x32 rebuild
- release 12 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 568b254
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 358f54c
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8d736e9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 87abd18
- rebuild for perl 5.20
- release 10 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 57d09ee
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d62db52
- release 8

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 92eaf87
- rel 7

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 000a516
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0807de9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b68f2cc
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5670e06
- formatting

